Bug 1316044 - [abrt] pulseaudio: core_free(): pulseaudio killed by SIGABRT [NEEDINFO]
[abrt] pulseaudio: core_free(): pulseaudio killed by SIGABRT
Status: NEW
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: pulseaudio (Show other bugs)
7.3
x86_64 Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Wim Taymans
Desktop QE
abrt_hash:fc02a22596b4dbb56222edfa32b...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-09 05:19 EST by Lubomir Rintel
Modified: 2017-03-02 04:33 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
wtaymans: needinfo? (lrintel)


Attachments (Terms of Use)
File: backtrace (10.97 KB, text/plain)
2016-03-09 05:19 EST, Lubomir Rintel
no flags Details
File: cgroup (179 bytes, text/plain)
2016-03-09 05:19 EST, Lubomir Rintel
no flags Details
File: core_backtrace (1.26 KB, text/plain)
2016-03-09 05:19 EST, Lubomir Rintel
no flags Details
File: dso_list (6.03 KB, text/plain)
2016-03-09 05:19 EST, Lubomir Rintel
no flags Details
File: environ (1.09 KB, text/plain)
2016-03-09 05:19 EST, Lubomir Rintel
no flags Details
File: limits (1.29 KB, text/plain)
2016-03-09 05:19 EST, Lubomir Rintel
no flags Details
File: machineid (135 bytes, text/plain)
2016-03-09 05:19 EST, Lubomir Rintel
no flags Details
File: maps (29.59 KB, text/plain)
2016-03-09 05:19 EST, Lubomir Rintel
no flags Details
File: open_fds (185 bytes, text/plain)
2016-03-09 05:19 EST, Lubomir Rintel
no flags Details
File: proc_pid_status (1.03 KB, text/plain)
2016-03-09 05:19 EST, Lubomir Rintel
no flags Details
File: var_log_messages (4.25 KB, text/plain)
2016-03-09 05:19 EST, Lubomir Rintel
no flags Details
File: sosreport.tar.xz (5.88 MB, application/octet-stream)
2016-03-09 05:20 EST, Lubomir Rintel
no flags Details

  None (edit)
Description Lubomir Rintel 2016-03-09 05:19:17 EST
Description of problem:
No idea.
This was just a clean RHEL-7.3 graphical server snapshot install in KVM, did nothing special.
Just isolated graphical.target and logged in GNOME.

Version-Release number of selected component:
pulseaudio-6.0-7.el7

Additional info:
reporter:       libreport-2.1.11
backtrace_rating: 4
cmdline:        /usr/bin/pulseaudio --start --log-target=syslog
crash_function: core_free
executable:     /usr/bin/pulseaudio
global_pid:     13276
kernel:         3.10.0-357.el7.x86_64
runlevel:       N 5
type:           CCpp
uid:            42

Truncated backtrace:
Thread no. 1 (2 frames)
 #2 core_free at pulsecore/core.c:179
 #3 pa_core_unref at pulsecore/core.h:202
Comment 1 Lubomir Rintel 2016-03-09 05:19:20 EST
Created attachment 1134434 [details]
File: backtrace
Comment 2 Lubomir Rintel 2016-03-09 05:19:21 EST
Created attachment 1134435 [details]
File: cgroup
Comment 3 Lubomir Rintel 2016-03-09 05:19:22 EST
Created attachment 1134436 [details]
File: core_backtrace
Comment 4 Lubomir Rintel 2016-03-09 05:19:23 EST
Created attachment 1134437 [details]
File: dso_list
Comment 5 Lubomir Rintel 2016-03-09 05:19:25 EST
Created attachment 1134438 [details]
File: environ
Comment 6 Lubomir Rintel 2016-03-09 05:19:26 EST
Created attachment 1134439 [details]
File: limits
Comment 7 Lubomir Rintel 2016-03-09 05:19:27 EST
Created attachment 1134440 [details]
File: machineid
Comment 8 Lubomir Rintel 2016-03-09 05:19:29 EST
Created attachment 1134441 [details]
File: maps
Comment 9 Lubomir Rintel 2016-03-09 05:19:30 EST
Created attachment 1134442 [details]
File: open_fds
Comment 10 Lubomir Rintel 2016-03-09 05:19:32 EST
Created attachment 1134443 [details]
File: proc_pid_status
Comment 11 Lubomir Rintel 2016-03-09 05:19:33 EST
Created attachment 1134444 [details]
File: var_log_messages
Comment 12 Lubomir Rintel 2016-03-09 05:20:06 EST
Created attachment 1134445 [details]
File: sosreport.tar.xz
Comment 14 Lubomir Rintel 2016-03-09 05:52:13 EST
Another user experienced a similar problem:

No idea.
This was just a clean RHEL-7.3 graphical server snapshot install in KVM, did nothing special.
Just isolated graphical.target and logged in GNOME.

reporter:       libreport-2.1.11
backtrace_rating: 4
cmdline:        /usr/bin/pulseaudio --start --log-target=syslog
crash_function: core_free
event_log:      
executable:     /usr/bin/pulseaudio
global_pid:     13276
kernel:         3.10.0-357.el7.x86_64
package:        pulseaudio-6.0-7.el7
reason:         pulseaudio killed by SIGABRT
runlevel:       N 5
type:           CCpp
uid:            42
Comment 15 Wim Taymans 2016-03-29 06:05:22 EDT
I can't seem to reproduce this in a VM. Is there anything strange about the configuration of the VM? what audio device is selected?

Could you, in a terminal the VM, do something like:

pulseaudio -k && pulseaudio -vvvvv >log 2>&1

and attach the log here?

Note You need to log in before you can comment on or make changes to this bug.